<?php

use TranquilCity\TranquilPavement\Domain\Models\Point;
use TranquilCity\TranquilPavement\Domain\Models\PollutionDataPoint;

/** @var LaravelDoctrine\ORM\Testing\Factory $factory */
$factory->define(PollutionDataPoint::class, function (Faker\Generator $faker) {
    return [
        'pm25' => $faker->numberBetween(0, 100),
        'no2' => $faker->numberBetween(0, 50),
        'arri_db' => $faker->numberBetween(0, 100),
        'geolocation' => new Point($faker->randomFloat(), $faker->randomFloat())
    ];
});