<?php

use Illuminate\Support\Str;
use Faker\Generator as Faker;

/*
|--------------------------------------------------------------------------
| Model Factories
|--------------------------------------------------------------------------
|
| This directory should contain each of the model factory definitions for
| your application. Factories provide a convenient way to generate new
| model instances for testing / seeding your application's database.
|
*/

/** @var LaravelDoctrine\ORM\Testing\Factory $factory */
$factory->define(TranquilCity\TranquilPavement\Domain\Models\User::class, function (Faker $faker) {
    static $password;

    return [
        'email' => $faker->unique()->safeEmail,
        'passwordHash' => $password ?: $password = bcrypt('secret'),
        'remember_token' => Str::random(10),
        'token' => Str::random(10),
    ];
});
