const angular = require('angular')

angular.module('TranquilPavement').service('InstagramService', ['$http', function ($http) {
  this.getLoginUrl = function () {
    return $http
      .get('/api/instagram/login-url')
      .then(resp => resp.data.url)
  }
  this.getBusinesses = function (accessToken) {
    return $http
        .get('/api/instagram/businesses?access_token=' + accessToken)
        .then(resp => resp.data)
  }
  this.setBusiness = function (id, accessToken) {
    return $http
        .get('/api/instagram/set-business?id=' + id + '&access_token=' + accessToken)
        .then(resp => resp.data)
  }
}])
