<!doctype html>
<html lang="{{ app()->getLocale() }}">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <base href="/">

        <title>Tranquil Pavement</title>

        <!-- Fonts -->

        <!-- Styles -->
        <link rel="stylesheet" href="{{ mix('/css/app.css')  }}">

    </head>
    <body>
        <div id="app" ng-app="TranquilPavement" ng-cloak>
            <ui-view></ui-view>
        </div>
        <script>
            window.tileset = '{{ $tileset }}';
            window.tilesets = @json($tilesets);
        </script>
        <script src="/data/tube-stations.js"></script>
        <script src="{{ '/js/app.js' }}"></script>
        
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=UA-113288414-1"></script>
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());
            gtag('config', 'UA-113288414-1');
        </script>

        <script>
            window.tranquilFbInit = function () {
                FB.init({
                    appId      : '{{ config('services.facebook.app_id') }}',
                    cookie     : true,
                    xfbml      : true,
                    version    : 'v3.2'
                });
            }

            window.fbAsyncInit = function() {
                window.tranquilFbInit()
                FB.AppEvents.logPageView();
            };

            (function(d, s, id){
                var js, fjs = d.getElementsByTagName(s)[0];
                if (d.getElementById(id)) {return;}
                js = d.createElement(s); js.id = id;
                js.src = "https://connect.facebook.net/en_US/sdk.js";
                fjs.parentNode.insertBefore(js, fjs);
            }(document, 'script', 'facebook-jssdk'));
        </script>
    </body>
</html>
