<?php

use TranquilCity\TranquilPavement\Domain\Models\Point;
use TranquilCity\TranquilPavement\Domain\Models\TranquilPlace;

/** @var LaravelDoctrine\ORM\Testing\Factory $factory */
$factory->define(TranquilPlace::class, function (Faker\Generator $faker) {
    return [
        'name' => $faker->company,
        'address' => $faker->unique()->address,
        'postcode' => $faker->postcode,
        'geolocation' => new Point($faker->randomFloat(), $faker->randomFloat()),
        'instagramId' => $faker->uuid,
        'author' => $faker->userName,
        'authorImageUrl' => 'https://scontent-lht6-1.cdninstagram.com/t51.2885-19/s150x150/15625299_1864453750508360_2490577919210946560_a.jpg',
        'createdTime' => time(),
        'tags' => []
    ];
});