const angular = require('angular')
angular
  .module('TranquilPavement')
  .directive('card', function () {
    return {
      restrict: 'E',
      transclude: true,
      scope: {
        view: '@',
        ngSwipeLeft: '@',
        ngSwipeRight: '@',
        hideCard: '='
      },
      template: `
        <div class="card" ng-swipe-left="{{ ngSwipeLeft }}" ng-swipe-right="{{ ngSwipeRight }}">
            <div class="card__content" ng-class="{ 'card__content--cutout': view === 'place' }">
                <div ng-if="view === 'place'" class="card__cutout-container">
                  <div class="card__cutout"></div>
                </div>
                <button class="card__close" type="button" ng-click="hideCard()" ng-if="view !== 'welcome'">×</button>
                <div ng-transclude></div>
            </div>
        </div>`
    }
  })
