const angular = require('angular')
angular
  .module('TranquilPavement')
  .directive('imageLoad', ['$parse', function ($parse) {
    return {
      restrict: 'A',
      link: function (scope, elem, attrs) {
        const fn = $parse(attrs.imageLoad)
        elem.on('load', function (event) {
          scope.$apply(function () {
            fn(scope, {$event: event})
          })
        })
      }
    }
  }])
