const angular = require('angular')
angular
  .module('TranquilPavement')
  .directive('switchButton', function () {
    return {
      scope: {
        handler: '=',
        status: '='
      },
      restrict: 'E',
      template: `
        <div class="switch-button">
            <span class="fa fa-toggle-on switch-button__icon switch-button__icon--active" 
                ng-if="status" ng-click="handler(false);"></span>
            <span class="fa fa-toggle-on switch-button__icon fa-rotate-180 switch-button__icon--inactive" 
                ng-if="!status" ng-click="handler(true);"></span>
        </div>
      `
    }
  })
